org.apache.activemq.artemis.api.jms.management

## Class JMSConsumerInfo

- java.lang.Object
- - org.apache.activemq.artemis.api.jms.management.JMSConsumerInfo

-     public class JMSConsumerInfo
      extends Object

  Helper class to create Java Objects from the JSON serialization returned by `JMSServerControl.listConsumersAsJSON(String)` and related methods.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JMSConsumerInfo[]` | `from(String jsonString)` Returns an array of SubscriptionInfo corresponding to the JSON serialization returned by `TopicControl.listAllSubscriptionsAsJSON()` and related methods.
    `String` | `getConnectionID()`
    `String` | `getConsumerID()`
    `long` | `getCreationTime()`
    `String` | `getDestinationName()`
    `String` | `getDestinationType()`
    `String` | `getFilter()`
    `boolean` | `isBrowseOnly()`
    `boolean` | `isDurable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public static JMSConsumerInfo[] from(String jsonString)
                                        throws Exception

      Returns an array of SubscriptionInfo corresponding to the JSON serialization returned by `TopicControl.listAllSubscriptionsAsJSON()` and related methods.
      Throws:
        `Exception`

    - #### getConsumerID

          public String getConsumerID()

    - #### getConnectionID

          public String getConnectionID()

    - #### getDestinationName

          public String getDestinationName()

    - #### getDestinationType

          public String getDestinationType()

    - #### isBrowseOnly

          public boolean isBrowseOnly()

    - #### getCreationTime

          public long getCreationTime()

    - #### isDurable

          public boolean isDurable()

      Returns:
        the durable

    - #### getFilter

          public String getFilter()

Copyright © 2017 The Apache Software Foundation. All rights reserved.